com.sun.j3d.utils.geometry

## Class Stripifier

- java.lang.Object
- - com.sun.j3d.utils.geometry.Stripifier

    public class Stripifier
    extends java.lang.Object

The Stripifier utility will change the primitive of the GeometryInfo object to Triangle Strips. The strips are made by analyzing the triangles in the original data and connecting them together.

Normal Generation should be performed on the GeometryInfo object before Stripification, for best results. Example:

       GeometryInfo gi = new GeometryInfo(TRIANGLE_ARRAY);
       gi.setCoordinates(coordinateData);

       NormalGenerator ng = new NormalGenerator();
       ng.generateNormals(gi);

       Stripifier st = new Stripifier()
       st.stripify(gi);

       Shape3D part = new Shape3D();
       part.setAppearance(appearance);
       part.setGeometry(gi.getGeometryArray());

### Field Summary

Fields
`static int` `COLLECT_STATS` Indicates to the stripifier to collect statistics on the data

### Constructor Summary

Constructors
Constructor and Description
`Stripifier()` Creates the Stripifier object.
`Stripifier(int flags)` Creates the Stripifier object.

### Method Summary

Methods
`StripifierStats` `getStripifierStats()` Returns the stripifier stats object.
`void` `stripify(GeometryInfo gi)` Converts the geometry contained in the GeometryInfo object into an array of triangle strips.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COLLECT_STATS

    public static final int COLLECT_STATS

Indicates to the stripifier to collect statistics on the data

See Also:
  Constant Field Values

### Constructor Detail

#### Stripifier

    public Stripifier()

Creates the Stripifier object.

#### Stripifier

    public Stripifier(int flags)

Creates the Stripifier object.

Parameters:
  `flags` - Flags
Since:
  Java 3D 1.2.1

### Method Detail

#### stripify

    public void stripify(GeometryInfo gi)

Converts the geometry contained in the GeometryInfo object into an array of triangle strips.

#### getStripifierStats

    public StripifierStats getStripifierStats()

Returns the stripifier stats object.

Throws:
  `java.lang.IllegalStateException` - if the Stripfier has not been constructed with the COLLECT_STATS flag
Since:
  Java 3D 1.2.1